import 'package:json_annotation/json_annotation.dart';

part 'user_benchmark_line.model.g.dart';

@JsonSerializable()
class UserBenchmarkLine {

  UserBenchmarkLine();

  factory UserBenchmarkLine.fromJson(Map<String, dynamic> json) => _$UserBenchmarkLineFromJson(json);
  Map<String, dynamic> toJson() => _$UserBenchmarkLineToJson(this);

  int id;
  int user_benchmark_section_id;
  int training_workout_line_id;
  String val;
  String units;
  String reps;
  DateTime created_at;
  DateTime updated_at;

}